curl
curl --request POST \
--url 'https://algolia_application_id.algolia.net/1/indexes/*/objects' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"requests": [
{
"attributesToRetrieve": [
"author",
"title",
"content"
],
"objectID": "product-1",
"indexName": "books"
}
]
}
'// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.GetObjectsAsync<Hit>(
new GetObjectsParams
{
Requests = new List<GetObjectsRequest>
{
new GetObjectsRequest { ObjectID = "uniqueID", IndexName = "<YOUR_INDEX_NAME>" },
},
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getObjects(
getObjectsParams: GetObjectsParams(
requests: [
GetObjectsRequest(
objectID: "uniqueID",
indexName: "<YOUR_INDEX_NAME>",
),
],
),
);
// print the response
print(response);// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetObjects(client.NewApiGetObjectsRequest(
search.NewEmptyGetObjectsParams().SetRequests(
[]search.GetObjectsRequest{*search.NewEmptyGetObjectsRequest().SetObjectID("uniqueID").SetIndexName("<YOUR_INDEX_NAME>")})))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
GetObjectsResponse response = client.getObjects(
new GetObjectsParams().setRequests(Arrays.asList(new GetObjectsRequest().setObjectID("uniqueID").setIndexName("<YOUR_INDEX_NAME>"))),
Hit.class
);
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.getObjects({ requests: [{ objectID: 'uniqueID', indexName: 'theIndexName' }] });
// print the response
console.log(response);// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getObjects(
getObjectsParams =
GetObjectsParams(
requests =
listOf(GetObjectsRequest(objectID = "uniqueID", indexName = "<YOUR_INDEX_NAME>"))
)
)
// print the response
println(response)// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getObjects(
['requests' => [
['objectID' => 'uniqueID',
'indexName' => '<YOUR_INDEX_NAME>',
],
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_objects(
get_objects_params={
"requests": [
{
"objectID": "uniqueID",
"indexName": "<YOUR_INDEX_NAME>",
},
],
},
)
# print the response
print(response)# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_objects(
Algolia::Search::GetObjectsParams.new(
requests: [Algolia::Search::GetObjectsRequest.new(algolia_object_id: "uniqueID", index_name: "<YOUR_INDEX_NAME>")]
)
)
# print the response
puts(response)// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getObjects(
getObjectsParams = GetObjectsParams(
requests = Seq(
GetObjectsRequest(
objectID = "uniqueID",
indexName = "<YOUR_INDEX_NAME>"
)
)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response: GetObjectsResponse<Hit> = try await client
.getObjects(getObjectsParams: GetObjectsParams(requests: [GetObjectsRequest(
objectID: "uniqueID",
indexName: "<YOUR_INDEX_NAME>"
)]))
// print the response
print(response){
"results": [
{}
],
"message": "Index INDEX_NAME does not exist."
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Records
Retrieve records
Retrieves one or more records, potentially from different indices.
POST
/
1
/
indexes
/
*
/
objects
curl
curl --request POST \
--url 'https://algolia_application_id.algolia.net/1/indexes/*/objects' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"requests": [
{
"attributesToRetrieve": [
"author",
"title",
"content"
],
"objectID": "product-1",
"indexName": "books"
}
]
}
'// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.GetObjectsAsync<Hit>(
new GetObjectsParams
{
Requests = new List<GetObjectsRequest>
{
new GetObjectsRequest { ObjectID = "uniqueID", IndexName = "<YOUR_INDEX_NAME>" },
},
}
);
// print the response
Console.WriteLine(response);// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getObjects(
getObjectsParams: GetObjectsParams(
requests: [
GetObjectsRequest(
objectID: "uniqueID",
indexName: "<YOUR_INDEX_NAME>",
),
],
),
);
// print the response
print(response);// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetObjects(client.NewApiGetObjectsRequest(
search.NewEmptyGetObjectsParams().SetRequests(
[]search.GetObjectsRequest{*search.NewEmptyGetObjectsRequest().SetObjectID("uniqueID").SetIndexName("<YOUR_INDEX_NAME>")})))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
GetObjectsResponse response = client.getObjects(
new GetObjectsParams().setRequests(Arrays.asList(new GetObjectsRequest().setObjectID("uniqueID").setIndexName("<YOUR_INDEX_NAME>"))),
Hit.class
);
// print the response
System.out.println(response);// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.getObjects({ requests: [{ objectID: 'uniqueID', indexName: 'theIndexName' }] });
// print the response
console.log(response);// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getObjects(
getObjectsParams =
GetObjectsParams(
requests =
listOf(GetObjectsRequest(objectID = "uniqueID", indexName = "<YOUR_INDEX_NAME>"))
)
)
// print the response
println(response)// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getObjects(
['requests' => [
['objectID' => 'uniqueID',
'indexName' => '<YOUR_INDEX_NAME>',
],
],
],
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_objects(
get_objects_params={
"requests": [
{
"objectID": "uniqueID",
"indexName": "<YOUR_INDEX_NAME>",
},
],
},
)
# print the response
print(response)# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_objects(
Algolia::Search::GetObjectsParams.new(
requests: [Algolia::Search::GetObjectsRequest.new(algolia_object_id: "uniqueID", index_name: "<YOUR_INDEX_NAME>")]
)
)
# print the response
puts(response)// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getObjects(
getObjectsParams = GetObjectsParams(
requests = Seq(
GetObjectsRequest(
objectID = "uniqueID",
indexName = "<YOUR_INDEX_NAME>"
)
)
)
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response: GetObjectsResponse<Hit> = try await client
.getObjects(getObjectsParams: GetObjectsParams(requests: [GetObjectsRequest(
objectID: "uniqueID",
indexName: "<YOUR_INDEX_NAME>"
)]))
// print the response
print(response){
"results": [
{}
],
"message": "Index INDEX_NAME does not exist."
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Records are returned in the same order as the requests.
Required ACL:
searchAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Body
application/json
Request object.
Request parameters.
Show child attributes
Show child attributes
Last modified on March 23, 2026
Was this page helpful?
āI